std::scoped_lock< _MutexTypes > Class Template Reference

## Public Member Functions

| scoped_lock (_MutexTypes &... __m)
| scoped_lock (adopt_lock_t, _MutexTypes &... __m) noexcept
| scoped_lock (const scoped_lock &)=delete
scoped_lock & | operator= (const scoped_lock &)=delete

## Detailed Description

### template<typename... _MutexTypes>
class std::scoped_lock< _MutexTypes >

A scoped lock type for multiple lockable objects.

A scoped_lock controls mutex ownership within a scope, releasing ownership in the destructor.

Definition at line 616 of file mutex.

The documentation for this class was generated from the following file:

- mutex